Page MenuHomePhabricator

[Epic] Adding new datatypes to Wikidata (tracking)
Open, NormalPublic

Description

We want to have new datatypes in Wikidata to support additional kinds of data.

See https://www.wikidata.org/wiki/Help:Data_type

Related Objects

StatusAssignedTask
OpenNone
ResolvedPhysikerwelt
Resolvedthiemowmde
ResolvedLlyrian
Resolveddaniel
Resolveddaniel
ResolvedPhysikerwelt
ResolvedMbch331
Resolved Jonas
ResolvedYurik
ResolvedLydia_Pintscher
ResolvedWMDE-leszek
ResolvedSmalyshev
Resolvedaude
Resolved Jonas
Resolved Aleksey_WMDE
ResolvedLadsgroup
OpenNone
OpenNone
ResolvedLadsgroup
OpenNone
OpenNone
ResolvedLydia_Pintscher
OpenNone
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
ResolvedLadsgroup
Resolvedaude
ResolvedLadsgroup
ResolvedLydia_Pintscher
DuplicateLadsgroup
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedAddshore
ResolvedJakob_WMDE
ResolvedLydia_Pintscher
ResolvedWMDE-leszek
InvalidNone
ResolvedNone
Declined Jonas
Resolved Jonas
DeclinedNone
OpenNone
ResolvedLydia_Pintscher
ResolvedLadsgroup
Resolvedalaa_wmde
Resolvedalaa_wmde
Resolvedalaa_wmde
ResolvedLydia_Pintscher
Resolvedalaa_wmde
OpenNone
Resolvedalaa_wmde
OpenNone
OpenNone
Resolved Greta_Doci_WMDE
OpenLadsgroup
ResolvedLadsgroup
OpenNone
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.

@NiharikaKohli I can give guidance and advice with regard to the math part and general concepts in software engineering. Geoshapes is not my area of expertise, and I do not see the relation to the other tasks. However, I guess that there are many different Geo-Formats and a lot of related works, for example in the context of SMW. Furthermore, I'm a bit concerned about the combination of tasks. I think a GSOC project should have a coherent and intrinsically interesting story and should not only be a combination of loosely related tasks until a certain amount of estimated workload is achieved.

@Physikerwelt, understood. The math formulas task alone was small to be a complete GSoC project, hence it seemed like a good idea to club it with other tasks. Overall, this seems like a useful GSoC project even if it doesn't have a single interesting story. If we can find another mentor who can provide guidance regarding the other tasks, then would you like to be a co-mentor?

Jonas renamed this task from Adding new datatypes to Wikidata to [Epic] Adding new datatypes to Wikidata.Aug 13 2015, 2:51 PM
Jonas updated the task description. (Show Details)
Jonas added a project: Epic.

May I know which kind of datatype is to be added and to support what type of data?

Please see the linked tasks in the "blocked by" section.

Qgil added a comment.Sep 23 2015, 9:06 AM

This is a message posted to all tasks under "Need Discussion" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Sep 23 2015, 9:35 AM

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

Change 259167 had a related patch set uploaded (by Llyrian):
WIP: T91505

https://gerrit.wikimedia.org/r/259167

Swpb added a subscriber: Swpb.Feb 8 2016, 4:34 PM

this discussion has raised the usefulness of a degrees-minutes-seconds datatype for angular information.

this discussion has raised the usefulness of a degrees-minutes-seconds datatype for angular information.

The quantity datatype can fulfill that well once precision and custom formatters are supported properly.

Qgil removed a subscriber: Qgil.Feb 11 2016, 11:57 AM

this discussion has raised the usefulness of a degrees-minutes-seconds datatype for angular information.

The quantity datatype can fulfill that well once precision and custom formatters are supported properly.

I don't know if that's true. Right ascension is peculiar - it is typically given in time units (hours, minutes, seconds, and decimal beyond that). Formatting could turn a numerical value (number of seconds, say) into the right sort of string, but how do you handle data entry? Ideally we want somebody to be able to type in values as they find them in an astronomical table, which would be in the hours-minutes-seconds format, not a numeric number of seconds. Is there any proposal to create a data entry formatter that could do that sort of thing?

Sumit added a subscriber: Sumit.Mar 1 2016, 5:37 PM
IMPORTANT: This is a message posted to all tasks under "Need Discussion" at Possible-Tech-Projects. Wikimedia has been accepted as a mentor organization for GSoC '16. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.
Sumit added a comment.Mar 2 2016, 8:26 PM

This is an Epic task with a lot of blockers. Does this as a whole fit the criteria for a 3 month GSoC '16/Outreachy internship ? or do the sub-tasks can be made into full-fledged candidates for Possible-Tech-Projects . Thoughts?
Note that a GSoC/Outreachy project should not take more than 2-3 weeks for a senior developer to complete

Sumit removed a subscriber: Sumit.Sep 13 2016, 4:02 PM
Esc3300 renamed this task from [Epic] Adding new datatypes to Wikidata to [Epic] Adding new datatypes to Wikidata (tracking).Sep 13 2016, 4:16 PM
Esc3300 updated the task description. (Show Details)Sep 13 2016, 5:32 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 2:55 PM
Malore added a subscriber: Malore.Jun 10 2018, 10:01 PM
srishakatux added a subscriber: srishakatux.

Adding Outreach-Programs-Projects and removing Possible-Tech-Projects as we are planning on killing the later soon!